package cz.fura;

/**
 * Description
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class EmailAddress {
	/** E-mail address of recipient */
	protected String address;

	/** Name of recipient */
	protected String name;

	public EmailAddress() {
		super();
	}

	public EmailAddress(String address, String name) {
		this.address = address;
		this.name = name;
	}

	public EmailAddress(String address) {
		this.address = address;
	}

	public String getAddress() {
		return address;
	}

	public String getName() {
		return name;
	}

	public boolean hasName() {
		return name != null && name.length() > 0;
	}
	
}
